package org.geek.szbay.assistant.code.generator;

import java.util.List;

import org.geek.szbay.assistant.code.generator.helpper.MakeHelpper;

/**
 * @author wutianbin
 * @Time：2017年5月18日 下午7:31:51
 * @version 1.0
 */
public class ServiceMysqlMaker {

    /** 
     * 功能：生成实体类主体代码 
     * @param colnames 
     * @param colTypes 
     * @param colSizes 
     * @return 
     */  
    public static final String parse(String authorName, String className, 
            String tableName, String tableComment, String key, String outPath, 
            String entityFullClassName, String entityClassName,
            List<String> attrNames, 
            List<String> colNames, List<String> colTypes, List<String> colComments) {  
        StringBuffer sb = new StringBuffer();  
          
        sb.append("package " + outPath + ";\r\n");  
        sb.append("\r\n");  
        sb.append("import " + entityFullClassName + ";\r\n");
        sb.append("\r\n");  
        
        //注释部分  
        sb.append(MakeHelpper.makeClassComments(tableComment + "(" + tableName + ") 实体类的数据服务类", authorName));
        
        //实体部分  
//        sb.append("public interface " + className + " {\r\n");
        //public interface FpExamDefineService<FpExamDefineDO> extends BaseService<FpExamDefineDO> {
        sb.append("public interface ").append(className)
        		.append(" extends BaseService<")
        		.append(entityClassName).append("> {\r\n");	
        sb.append("\r\n");
        
        sb.append("}\r\n");  

        return sb.toString();  
    }

}
